Loading...
Searching...
No Matches
LomiriUtil::ElapsedTimer Class Reference

`#include <plugins/Utils/ElapsedTimer.h>`

Inheritance diagram for LomiriUtil::ElapsedTimer:
[legend]
Collaboration diagram for LomiriUtil::ElapsedTimer:
[legend]

## Public Member Functions

void | start () override
qint64 | msecsSinceReference () const override
qint64 | elapsed () const override

## Detailed Description

A QElapsedTimer wrapper

Definition at line 40 of file ElapsedTimer.h.

## Member Function Documentation

## elapsed()

qint64 LomiriUtil::ElapsedTimer::elapsed | ( |  | ) | const

inline override virtual

Implements LomiriUtil::AbstractElapsedTimer.

Definition at line 44 of file ElapsedTimer.h.

{ return m_timer.isValid() ? m_timer.elapsed() : 0; }

## msecsSinceReference()

qint64 LomiriUtil::ElapsedTimer::msecsSinceReference | ( |  | ) | const

inline override virtual

Implements LomiriUtil::AbstractElapsedTimer.

Definition at line 43 of file ElapsedTimer.h.

{ return m_timer.msecsSinceReference(); }

## start()

void LomiriUtil::ElapsedTimer::start | ( |  | ) |

inline override virtual

Implements LomiriUtil::AbstractElapsedTimer.

Definition at line 42 of file ElapsedTimer.h.

{ m_timer.start(); }

The documentation for this class was generated from the following file:

- plugins/Utils/ElapsedTimer.h